﻿using MediatR;
using ProxmoxConnector.Integration.Abstractions;
using ProxmoxConnector.Server.Application.Utils;
using System.Threading;
using System.Threading.Tasks;

namespace ProxmoxConnector.Server.Application.Queries
{
    public class TestQ
    {
        public record Query : IRequest<Model>
        {
        }

        public record Model
        {
            public string Msg { get; init; }
        }

        public class QueryHandler : IRequestHandler<Query, Model>
        {
            private readonly IPveConnector _pveConnector;

            public QueryHandler(IPveConnector pveConnector)
            {
                _pveConnector=pveConnector;
            }

            public async Task<Model> Handle(Query request, CancellationToken cancellationToken)
            {
                await _pveConnector.TestWithLogin();

                return await Task.FromResult(new Model() { Msg = "-!-" });
            }
        }
    }
}
